import * as woService from '../../services/WO/bomWorkTaskRelation';

export default {

  namespace: 'WOBomWorkTaskRelation',
  state: {
  },

  subscriptions: {
    setup({ dispatch, history }) {  // eslint-disable-line

    },
  },

  effects: {
    *getPageList ({ payload,onComplete }, { call, put }) {
      const ret = yield call(woService.getPageList, payload);
      if (typeof onComplete === 'function') {
        onComplete(ret)
      }
    },
  },

  reducers: {
    save(state, action) {
      return { ...state, ...action.payload };
    },
  },

};
